## com.lowagie.text.pdf.events
Class IndexEvents.Entry

    java.lang.Object
      com.lowagie.text.pdf.events.IndexEvents.Entry

Enclosing class:
  IndexEvents

    public class IndexEvents.Entry

extends java.lang.Object

Class for an index entry.

In the first step, only in1, in2,in3 and tag are used. After the collections of the index entries, pagenumbers are used.

Field Summary
`private java.lang.String` `in1` first level
`private java.lang.String` `in2` second level
`private java.lang.String` `in3` third level
`private java.util.List` `pagenumbers` the list of all page numbers.
`private java.lang.String` `tag` the tag
`private java.util.List` `tags` the list of all tags.

Constructor Summary
`IndexEvents.Entry(java.lang.String aIn1, java.lang.String aIn2, java.lang.String aIn3, java.lang.String aTag)` Create a new object.

Method Summary
`void` `addPageNumberAndTag(int number, java.lang.String tag)` Add a pagenumber.
`java.lang.String` `getIn1()` Returns the in1.
`java.lang.String` `getIn2()` Returns the in2.
`java.lang.String` `getIn3()` Returns the in3.
`java.lang.String` `getKey()` Returns the key for the map-entry.
`int` `getPageNumber()` Returns the pagenumber for this entry.
`java.util.List` `getPagenumbers()` Returns the pagenumbers.
`java.lang.String` `getTag()` Returns the tag.
`java.util.List` `getTags()` Returns the tags.
`java.lang.String` `toString()` print the entry (only for test)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### in1

    private java.lang.String in1

  first level

### in2

    private java.lang.String in2

  second level

### in3

    private java.lang.String in3

  third level

### tag

    private java.lang.String tag

  the tag

### pagenumbers

    private java.util.List pagenumbers

  the list of all page numbers.

### tags

    private java.util.List tags

  the list of all tags.

Constructor Detail

### IndexEvents.Entry

    public IndexEvents.Entry(java.lang.String aIn1,
                             java.lang.String aIn2,
                             java.lang.String aIn3,
                             java.lang.String aTag)

  Create a new object.

  Parameters:
    `aIn1` - The first level.
    `aIn2` - The second level.
    `aIn3` - The third level.
    `aTag` - The tag.

Method Detail

### getIn1

    public java.lang.String getIn1()

  Returns the in1.

  Returns:
    Returns the in1.

### getIn2

    public java.lang.String getIn2()

  Returns the in2.

  Returns:
    Returns the in2.

### getIn3

    public java.lang.String getIn3()

  Returns the in3.

  Returns:
    Returns the in3.

### getTag

    public java.lang.String getTag()

  Returns the tag.

  Returns:
    Returns the tag.

### getPageNumber

    public int getPageNumber()

  Returns the pagenumber for this entry.

  Returns:
    Returns the pagenumber for this entry.

### addPageNumberAndTag

    public void addPageNumberAndTag(int number,
                                    java.lang.String tag)

  Add a pagenumber.

  Parameters:
    `number` - The page number.
    `tag` -

### getKey

    public java.lang.String getKey()

  Returns the key for the map-entry.

  Returns:
    Returns the key for the map-entry.

### getPagenumbers

    public java.util.List getPagenumbers()

  Returns the pagenumbers.

  Returns:
    Returns the pagenumbers.

### getTags

    public java.util.List getTags()

  Returns the tags.

  Returns:
    Returns the tags.

### toString

    public java.lang.String toString()

  print the entry (only for test)

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the toString implementation of the entry

Hosted by Hostbasket